<script type="text/javascript">
jQuery(document).ready(function() {
	
	function toggle_the_sectors($el, $force){
		
		var ua = jQuery.browser;
		 
		var $the_toggle = $el.parents('.section-toggle');
		var $the_content = $the_toggle.find('.section-content');
		var $wrapIconSection = $the_toggle.find('.wrapIconSection');
		
		if ($force == '')
		 {if ($the_content.is(':hidden') ) $operation = true; else $operation = false;  }
		else
		 {if($force == 'expand') $operation = true; else $operation = false; }
		
		if ($operation) {
			// closed
			
				$the_content.show(); $the_toggle.removeClass('hiddenSection').addClass('visibleSection');
				$wrapIconSection.stop(true).animate({right: -60},200);
			
		}else{
			// opened

				$the_content.hide(); $the_toggle.addClass('hiddenSection').removeClass('visibleSection');
				$wrapIconSection.stop(true).animate({right: 0},200);
		}
			
	
	}
	
	jQuery('.section-run').click(function(){
		jQuery(document).trigger('destroyTheFG');
		toggle_the_sectors(jQuery(this), '');
		return false;
	});
	
	jQuery('#expand-all').click(function(){
		jQuery(document).trigger('destroyTheFG');
		
		if (jQuery(this).hasClass("expanded")) {
			$force = "collapse";
			jQuery(this).removeClass('expanded').html(jQuery(this).attr('data-expandtext'));
		}else{
			$force = "expand";
			jQuery(this).addClass('expanded').html(jQuery(this).attr('data-collapsetext'));
		}
		
		jQuery(this).parents('.framework_container').find('.section-run').each(function(){
			toggle_the_sectors(jQuery(this),$force);
		});
		return false;
	});
	

});

</script>